-- Install and configure venv-selector
--  to manage python virtual env from neovim

return {
  'linux-cultist/venv-selector.nvim',
  branch = 'regexp',
  dependencies = {
    'neovim/nvim-lspconfig',
    'nvim-telescope/telescope.nvim',
    'mfussenegger/nvim-dap-python'
  },
  opts = {
    -- Your options go here
    -- name = "venv",
    -- auto_refresh = false
  },
  -- Optional: needed only if you want to type `:VenvSelect` without a
  -- keymapping
  event = 'VeryLazy',
  keys = {
    -- Keymap to open VenvSelector to pick a venv.
    {
      '<leader>vs',
      '<cmd>VenvSelect<cr>'
    },
    -- Keymap to retrieve the venv from a cache
    -- (the one previously used for the same project directory).
    {
      '<leader>vc',
      '<cmd>VenvSelectCached<cr>'
    },
  },
}
